hammer organization <info,list> --help types information doubled
Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1078866 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1078866

Description of problem:

hammer organization command help displays twice for each property: ===

[root@artemis ~]# hammer organization list --help

Usage:

hammer organization list [OPTIONS]

Options:

--by BY                       Field to sort the results on

--by BY                       Field to sort the results on

--full-results FULL_RESULTS   Whether or not to show all results

--full-results FULL_RESULTS   Whether or not to show all results

--order ORDER                 How to order the sorted results (e.g. ASC for ascending)

--order ORDER                 How to order the sorted results (e.g. ASC for ascending)

--order ORDER                 Sort field and order, eg. 'name DESC'

--order ORDER                 Sort field and order, eg. 'name DESC'

--page PAGE                   Page number, starting at 1

--page PAGE                   Page number, starting at 1

--per-page PER_PAGE           Number of results per page to return

--per-page PER_PAGE           Number of results per page to return

--search SEARCH               Search string

--search SEARCH               Search string

-h, --help                    print help ===

and

===

[root@artemis ~]# hammer organization info --help

Usage:

hammer organization info [OPTIONS]

Options:

--id ID                       resource id

--id ID                       resource id

--name NAME                   resource name

--name NAME                   resource name

-h, --help                    print help ===

Version-Release number of selected component (if applicable):

Sat6-Beta-Summit-Release-Snap4;     Satellite-6.0.3-RHEL-6-20140319.2

artemis.usersys.redhat.com-qpid-broker-1.0-1.noarch

artemis.usersys.redhat.com-qpid-client-cert-1.0-1.noarch

candlepin-0.8.25-1.el6sam.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.8.25-1.el6sam.noarch

candlepin-tomcat6-0.8.25-1.el6sam.noarch

createrepo-0.9.9-21.2.pulp.el6sat.noarch

elasticsearch-0.90.10-4.el6sat.noarch

katello-1.5.0-18.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.28-1.el6sat.noarch

m2crypto-0.21.1.pulp-8.el6sat.x86_64

mod_wsgi-3.4-1.pulp.el6sat.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-isodate-0.5.0-1.pulp.el6sat.noarch

python-oauth2-1.5.170-3.pulp.el6sat.noarch

python-pulp-bindings-2.3.1-0.4.beta.el6sat.noarch

python-pulp-common-2.3.1-0.4.beta.el6sat.noarch

python-pulp-puppet-common-2.3.1-0.4.beta.el6sat.noarch

python-pulp-rpm-common-2.3.1-0.4.beta.el6sat.noarch

python-qpid-0.18-5.el6_4.noarch

qpid-cpp-client-0.14-22.el6_3.x86_64

qpid-cpp-client-ssl-0.14-22.el6_3.x86_64

qpid-cpp-server-0.14-22.el6_3.x86_64

qpid-cpp-server-ssl-0.14-22.el6_3.x86_64

ruby193-rubygem-katello-1.5.0-22.el6sat.noarch

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-5.el6sat.noarch

rubygem-katello_api-0.0.8-2.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1.hammer organization [info,list]

2.

3.

Actual results:

properties' description twice

Expected results:

proper help shown

Additional info:

Associated revisions

Revision 0a1207a9 - 04/02/2014 10:28 PM - Adam Price 

Fixes #5032 - hammer organization <info,list> --help types information

doubled, 1078866

Revision bd6602ce - 04/10/2014 06:04 PM - Adam Price 

Merge pull request #134 from komidore64/bz1078866

Fixes #5032 - hammer organization <info,list> --help types information doubled, 1078866

History

#1 - 04/10/2014 06:06 PM - Anonymous

- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:0a1207a97b525aaa97bfc813081d7c725dea8ed3.

#2 - 06/06/2014 01:34 PM - Eric Helms

- Triaged set to Yes

#3 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
